Bug 1771421 - "provisioning_template" no longer recognized as auditable_type
Summary: "provisioning_template" no longer recognized as auditable_type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Audit Log
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 10:41 UTC by Roman Plevka
Modified: 2020-04-14 13:26 UTC (History)
4 users (show)

Fixed In Version: foreman-1.24.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28359 Normal Closed "provisioning_template" no longer recognized as auditable_type 2020-02-24 09:08:06 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Roman Plevka 2019-11-12 10:41:11 UTC
Description of problem:
GET https://sat67-server.com/api/v2/audits?search=type=provisioning_template

returns:
WARNING - Received HTTP 400 response: {
  "error": {"message":"'auditable_type' should be one of 'role, ptable, filter, hostgroup, smart_proxy, katello/host/content_facet, katello/host/subscription_facet, remote_execution_feature, usergroup, katello/content_view, katello/kt_environment, environment, http_proxy, lookup_value, model, domain, realm, architecture, image, discovery_rule, katello/host_collection, hostgroup_class, puppetclass, medium, job_template, bookmark, katello/activation_key, katello/content_view_puppet_module, katello/content_view_version, katello/gpg_key, katello/root_repository, katello/product, katello/sync_plan, katello/capsule_lifecycle_environment, katello/content_view_component, katello/content_view_environment, job_invocation, ansible_role, foreman_virt_who_configure/config, foreman_openscap/policy, foreman_openscap/scap_content, foreman_openscap/tailoring_file, compute_attribute, compute_profile, config_group, config_group_class, report_template, ssh_key, personal_access_token, host_class, host_config_group, key_pair, auth_source, compute_resource, host, interface, location, organization, os, override_value, parameter, partition_table, setting, smart_class_parameter, smart_variable, subnet, user', but the query was 'provisioning_template'","class":"ScopedSearch::QueryNotSupported"}
}

This is a regression in 6.7.

Version-Release number of selected component (if applicable):
6.7.0-1.0

How reproducible:
always

Steps to Reproduce:
1. curl -sku admin:changeme https://sat67-server.com/api/v2/audits?search=type=provisioning_template

Comment 3 Marek Hulan 2019-11-12 11:51:40 UTC
Adding Kavita for visibility, perhaps she has some thoughts. It is interesting that all other template types are listed as supported.

Comment 5 Marek Hulan 2019-11-26 11:26:19 UTC
Created redmine issue https://projects.theforeman.org/issues/28359 from this bug

Comment 6 Bryan Kearney 2019-12-03 17:07:35 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28359 has been resolved.

Comment 7 Roman Plevka 2020-01-20 13:45:58 UTC
VERIFIED
on sat6.7.0 #8

the type is now recognized as provisioning_template and filtering works

Comment 10 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.